## Check Ceph Status

Script: `check_ceph_statusbb`

**check_ceph_status** is a plugin to show ceph status.
It switches the state in dependency of the HEALTH_* value.

## Requirements

* `ceph` binary and sudo permission on it to get the information

```txt
icingaclient ALL=(ALL) NOPASSWD: /bin/ceph
```

## Standalone installation

From this repository you need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

CHECK_CEPH_STATUS
v1.9

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_ceph_status.html
______________________________________________________________________

Show ceph health status.
The state of the check switches to warning if HEALTH_WARN was detected
and is error of other HEALTH values than HEALTH_WARN or HEALTH_OK.

In the output is the complete output of the command "ceph status".

If degraded objects are found it shows the progress of repair process.

SYNTAX:
check_ceph_status

OPTIONS:
    -h or --help   show this help.

```

### Parameters

(none)

## Examples

`$ check_ceph_status` returns

```txt
OK: Ceph status is HEALTH_OK

  cluster:
    id:     12345678-68e3-4c21-bf95-4b5f802f81a4
    health: HEALTH_OK
 
  services:
    mon: 3 daemons, quorum cephmon1,cephmon2,cephmon3 (age 2w)
    mgr: cephmon3(active, since 2w), standbys: cephmon2, cephmon1
    osd: 30 osds: 30 up (since 2w), 30 in (since 5w)
 
  data:
    pools:   3 pools, 161 pgs
    objects: 608.44k objects, 2.3 TiB
    usage:   6.9 TiB used, 47 TiB / 54 TiB avail
    pgs:     161 active+clean
 
  io:
    client:   896 KiB/s rd, 12 MiB/s wr, 372 op/s rd, 401 op/s wr

```