## Check Deployment

Script: `check_deployment`

This is a check for the IML deployment client that downloads and installs an application package.
This check starts the script `check_deployment.sh` that is part of the IML deployment client.

It returns 

* OK if all apps were installed/ updated successfully.
* Unknown on exitcode 0 but the OK message for a successful installation was not found
* Error on non zero exitcode because download, installation or replacement for configuration files failed.

## Requirements

* The IML deployment client must be installed

📄 Source: <https://git-repo.iml.unibe.ch/iml-open-source/imldeployment-client/>\
📜 License: GNU GPL 3.0\
📗 Docs: see docs folder or online <https://os-docs.iml.unibe.ch/imldeployment-client/>

## Standalone installation

From this repository you need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

CHECK_DEPLOYMENT
v1.0

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_deployment.html
______________________________________________________________________

Show status of rollouts with IML deployment client on this system.
See https://os-docs.iml.unibe.ch/imldeployment-client/

SYNTAX:
check_deployment [-d DIRECTORY]

OPTIONS:
    -h or --help   show this help.
    -d or --dir    set installation dir of iml deployment to find its check skript
                   default: /opt/imldeployment-installer

EXAMPLE:
check_deployment -d /home/deployuser/imldeployment-installer
                   set a custom directory und run the backup check

```

## Examples

The script has no parameter. It shows all created profiles and its installation status based on the latest found logfile.

```txt
OK: Deployment ... Profiles: 2 ... Errors: 0
OK: myapp_a - /var/log/imldeployment-client/myapp_a__2025-02-20__030307.log
OK: myapp_b - /var/log/imldeployment-client/myapp_b__2025-02-20__030329.log
```
